/* _content/ZZDWS.Web/Components/Layout/LoginLayout.razor.rz.scp.css */

/*---↓↓↓ Custom ↓↓↓---*/
.page-container[b-t8yuut30hz] {
    margin: 0 0 0 0 !important;
    padding: 0 0 0 0 !important;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url('images/login-bg.png');
    /*background: #050343;*/
    /*overflow: hidden;*/
}

#fullscreenButton[b-t8yuut30hz] {
    position: fixed;
    bottom: 20px;
    right: 20px;
    padding: 10px 20px;
    background-color: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    z-index: 9999; /* 确保按钮在最顶层 */
}

    #fullscreenButton:hover[b-t8yuut30hz] {
        background-color: #0056b3;
    }

/*---↑↑↑ Custom ↑↑↑---*/
/*--------------------*/
/*---↓↓↓ Default ↓↓↓---*/
.page[b-t8yuut30hz] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-t8yuut30hz] {
    flex: 1;
}

.sidebar[b-t8yuut30hz] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-t8yuut30hz] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-t8yuut30hz]  a, .top-row[b-t8yuut30hz]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

        .top-row[b-t8yuut30hz]  a:hover, .top-row[b-t8yuut30hz]  .btn-link:hover {
            text-decoration: underline;
        }

        .top-row[b-t8yuut30hz]  a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

@media (max-width: 640.98px) {
    .top-row[b-t8yuut30hz] {
        justify-content: space-between;
    }

        .top-row[b-t8yuut30hz]  a, .top-row[b-t8yuut30hz]  .btn-link {
            margin-left: 0;
        }
}

@media (min-width: 641px) {
    .page[b-t8yuut30hz] {
        flex-direction: row;
    }

    .sidebar[b-t8yuut30hz] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-t8yuut30hz] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

        .top-row.auth[b-t8yuut30hz]  a:first-child {
            flex: 1;
            text-align: right;
            width: 0;
        }

    .top-row[b-t8yuut30hz], article[b-t8yuut30hz] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-t8yuut30hz] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-t8yuut30hz] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/*---↑↑↑ Default ↑↑↑---*/


/* _content/ZZDWS.Web/Components/Layout/MainLayout.razor.rz.scp.css */
/*---������ Custom ������---*/
.page-container[b-uh1bqeq2ar] {
    margin: 0 0 0 0 !important;
    padding: 0 0 0 0 !important;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    /*background-image: url('images/main-bg.svg');*/
    /*background: #000;*/
    /*overflow: hidden;*/
}

#fullscreenButton[b-uh1bqeq2ar] {
    position: fixed;
    bottom: 20px;
    right: 20px;
    padding: 10px 20px;
    background-color: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    z-index: 9999; /* ȷ����ť����� */
}

    #fullscreenButton:hover[b-uh1bqeq2ar] {
        background-color: #0056b3;
    }
/*---������ Custom ������---*/
/*--------------------*/
/*---������ Default ������---*/
.page[b-uh1bqeq2ar] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-uh1bqeq2ar] {
    flex: 1;
}

.sidebar[b-uh1bqeq2ar] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-uh1bqeq2ar] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-uh1bqeq2ar]  a, .top-row[b-uh1bqeq2ar]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

        .top-row[b-uh1bqeq2ar]  a:hover, .top-row[b-uh1bqeq2ar]  .btn-link:hover {
            text-decoration: underline;
        }

        .top-row[b-uh1bqeq2ar]  a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

@media (max-width: 640.98px) {
    .top-row[b-uh1bqeq2ar] {
        justify-content: space-between;
    }

        .top-row[b-uh1bqeq2ar]  a, .top-row[b-uh1bqeq2ar]  .btn-link {
            margin-left: 0;
        }
}

@media (min-width: 641px) {
    .page[b-uh1bqeq2ar] {
        flex-direction: row;
    }

    .sidebar[b-uh1bqeq2ar] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-uh1bqeq2ar] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

        .top-row.auth[b-uh1bqeq2ar]  a:first-child {
            flex: 1;
            text-align: right;
            width: 0;
        }

    .top-row[b-uh1bqeq2ar], article[b-uh1bqeq2ar] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-uh1bqeq2ar] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-uh1bqeq2ar] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/*---������ Default ������---*/
/* _content/ZZDWS.Web/Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-w515lt30b5] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

.navbar-toggler:checked[b-w515lt30b5] {
    background-color: rgba(255, 255, 255, 0.5);
}

.top-row[b-w515lt30b5] {
    min-height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-w515lt30b5] {
    font-size: 1.1rem;
}

.bi[b-w515lt30b5] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-w515lt30b5] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-w515lt30b5] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-w515lt30b5] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-w515lt30b5] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-w515lt30b5] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-w515lt30b5] {
        padding-bottom: 1rem;
    }

    .nav-item[b-w515lt30b5]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

.nav-item[b-w515lt30b5]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-w515lt30b5]  .nav-link:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.nav-scrollable[b-w515lt30b5] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-w515lt30b5] {
    display: block;
}

@media (min-width: 641px) {
    .navbar-toggler[b-w515lt30b5] {
        display: none;
    }

    .nav-scrollable[b-w515lt30b5] {
        /* Never collapse the sidebar for wide screens */
        display: block;

        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
/* _content/ZZDWS.Web/Components/Layout/TestLayout.razor.rz.scp.css */
/*---↓↓↓ Custom ↓↓↓---*/
.page-container[b-2hb65zeh0c] {
    margin: 0 0 0 0 !important;
    padding: 0 0 0 0 !important;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    /*background-image: url('images/main-bg.svg');*/
    /*background: #000;*/
    /*overflow: hidden;*/
}

#fullscreenButton[b-2hb65zeh0c] {
    position: fixed;
    bottom: 20px;
    right: 20px;
    padding: 10px 20px;
    background-color: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    z-index: 9999; /* 确保按钮在最顶层 */
}

    #fullscreenButton:hover[b-2hb65zeh0c] {
        background-color: #0056b3;
    }
/*---↑↑↑ Custom ↑↑↑---*/
/*--------------------*/
/*---↓↓↓ Default ↓↓↓---*/
.page[b-2hb65zeh0c] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-2hb65zeh0c] {
    flex: 1;
}

.sidebar[b-2hb65zeh0c] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-2hb65zeh0c] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-2hb65zeh0c]  a, .top-row[b-2hb65zeh0c]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

        .top-row[b-2hb65zeh0c]  a:hover, .top-row[b-2hb65zeh0c]  .btn-link:hover {
            text-decoration: underline;
        }

        .top-row[b-2hb65zeh0c]  a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

@media (max-width: 640.98px) {
    .top-row[b-2hb65zeh0c] {
        justify-content: space-between;
    }

        .top-row[b-2hb65zeh0c]  a, .top-row[b-2hb65zeh0c]  .btn-link {
            margin-left: 0;
        }
}

@media (min-width: 641px) {
    .page[b-2hb65zeh0c] {
        flex-direction: row;
    }

    .sidebar[b-2hb65zeh0c] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-2hb65zeh0c] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

        .top-row.auth[b-2hb65zeh0c]  a:first-child {
            flex: 1;
            text-align: right;
            width: 0;
        }

    .top-row[b-2hb65zeh0c], article[b-2hb65zeh0c] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-2hb65zeh0c] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-2hb65zeh0c] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/*---↑↑↑ Default ↑↑↑---*/
/* _content/ZZDWS.Web/Components/Pages/Home.razor.rz.scp.css */
.viewbox-container[b-jkiz2c64x3] {
    width: 100%;
    height: 100vh; /* 视口高度 */
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    /*background-color:#000000;*/
}

.viewbox-content[b-jkiz2c64x3] {
    position: relative;
    width: 1920px; /* 原始宽度 */
    height: 1080px; /* 原始高度 */
    transform: scale(var(--scale));
    transform-origin: top left bottom right;
    display: flex;
    justify-content: center;
    align-items: center;
    /*background-image: url('images/main-bg.svg');*/
    /*pointer-events: none;*/
    /*background-size: contain;*/ /*确保图片按比例缩放以适应容器的尺寸，而不会拉伸或压缩图片。*/
    /*background-position: center;*/ /*使图片在容器中水平和垂直居中。*/
    /*background-repeat: no-repeat;*/ /*防止图片在容器内重复显示。*/
}

.svgimage[b-jkiz2c64x3] {
    width: 1920px; /* 原始宽度 */
    height: 1080px; /* 原始高度 */
    transform-origin: top left bottom right;
}

.chart-container-center[b-jkiz2c64x3] {
    /*position: absolute;*/
    position: fixed;
    z-index: 999;
    margin-top: 213px;
    margin-left: 5px;
    /*background-color: rgba(25,76,139, 0.75);*/
    width: 796px;
    height: 506px;
    display: flex;
    justify-content: center;
    align-items: center;
    transform-origin: top left bottom right;
}

.esop-title[b-jkiz2c64x3] {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 15pt;
    font-weight: 550;
    color: #0194E7;
}
/* _content/ZZDWS.Web/Components/Pages/Index.razor.rz.scp.css */
.viewbox-container[b-lhh65uxpd6] {
    width: 100%;
    height: 100vh; /* 视口高度 */
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    /*background-color:#000000;*/
}

.viewbox-content[b-lhh65uxpd6] {
    position: relative;
    width: 1920px; /* 原始宽度 */
    height: 1080px; /* 原始高度 */
    transform: scale(var(--scale));
    transform-origin: top left bottom right;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url('images/main-bg0.svg');
    pointer-events: none;
    background-size: contain; /*确保图片按比例缩放以适应容器的尺寸，而不会拉伸或压缩图片。*/
    background-position: center; /*使图片在容器中水平和垂直居中。*/
    background-repeat: no-repeat; /*防止图片在容器内重复显示。*/
}


.table0[b-lhh65uxpd6] {
    margin: 0;
    padding: 0;
    width: 1920px;
    height: 1080px;
    transform-origin: top left bottom right;
    display: flex;
    /*justify-content: center;*/
    /*align-items: center;*/
   
}

.panel-main[b-lhh65uxpd6] {
    margin: 0;
    padding: 0;
    width: 1920px;
    height: 1080px;
    transform-origin: top left bottom right;
    display: flex;
}
/* _content/ZZDWS.Web/Components/Pages/Login.razor.rz.scp.css */

.sys-name[b-k928bt43ux] {
    width: 100%;
    margin-top: -10px;
    margin-bottom: 30px;
    text-align: center;
    font-size: 25pt;
    font-weight: 530;
    color: white;
}

.procuction-date[b-k928bt43ux] {
    height: 50px !important;
    font-size: 20pt !important;
}


.ver[b-k928bt43ux] {
    width: 100%;
    text-align: center;
    font-size: 12pt;
    font-weight: 100;
    color: white;
}



.footer-container[b-k928bt43ux] {
    position: fixed;
    bottom: 5px;
    left: 0;
    right: 0;
    text-align: center;
    align-items: center;
    padding: 10px;
    border-radius: 5px;
}

.footer-li-span[b-k928bt43ux] {
    margin-right: 0px;
    color: white;
}

.footer-li-a[b-k928bt43ux] {
    margin-right: 0px;
    color: white;
    transition: opacity 0.3s; /* 添加过渡效果，使得透明度变化平滑 */
}

    .footer-li-a:hover[b-k928bt43ux] {
        cursor: pointer;
        opacity: 0.4;
    }
/* _content/ZZDWS.Web/Components/Pages/Tests/PdfFile.razor.rz.scp.css */
body[b-kha75iwpyt] {
   background-color:white !important;
}
/* _content/ZZDWS.Web/wwwroot/MainLayout.razor.rz.scp.css */
.page[b-mhqvqbg42u] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-mhqvqbg42u] {
    flex: 1;
}

.sidebar[b-mhqvqbg42u] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-mhqvqbg42u] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-mhqvqbg42u]  a, .top-row[b-mhqvqbg42u]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-mhqvqbg42u]  a:hover, .top-row[b-mhqvqbg42u]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-mhqvqbg42u]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-mhqvqbg42u] {
        justify-content: space-between;
    }

    .top-row[b-mhqvqbg42u]  a, .top-row[b-mhqvqbg42u]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-mhqvqbg42u] {
        flex-direction: row;
    }

    .sidebar[b-mhqvqbg42u] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-mhqvqbg42u] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-mhqvqbg42u]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-mhqvqbg42u], article[b-mhqvqbg42u] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-mhqvqbg42u] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-mhqvqbg42u] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
